## org.codehaus.groovy.runtime
Class Reflector

Provides as alternative to reflection using bytecode generation.

author:
  James Strachan

version:
  $Revision: 4247 $

Constructor Summary
`Reflector()`

Method Summary
`Object` | `invoke(CachedMethod method, Object object, def arguments)`
`Object` | `noSuchMethod(CachedMethod method, Object object, def arguments)`

Constructor Detail

### Reflector

    Reflector()

Method Detail

### invoke

    public Object invoke(CachedMethod method, Object object, def arguments)

### noSuchMethod

    Object noSuchMethod(CachedMethod method, Object object, def arguments)